Download a software or firmware package
Downloads a software or firmware package from the server to acquire the necessary updates for your system. This operation is typically used when you need to update or install software components on your ONTAP systems.
HTTP method and endpoint
POST /cluster/software/download
Introduced in
ONTAP 9.6
Required properties
-
url- URL location of the software package
Recommended optional parameters
-
username- Username of HTTPS/FTP server -
password- Password of HTTPS/FTP server
Related ONTAP commands
-
cluster image package get
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When doing a POST, PATCH, or DELETE operation on a single record, the default is 0 seconds. This means that if an asynchronous operation is started, the server immediately returns HTTP code 202 (Accepted) along with a link to the job. If a non-zero value is specified for POST, PATCH, or DELETE operations, ONTAP waits that length of time to see if the job completes so it can return something other than 202.
|
Request Body
| Name | Type | Description |
|---|---|---|
code |
integer |
Code returned corresponds to a download message. |
message |
string |
Download progress details. |
password |
string |
Password for download |
state |
string |
Download status of the package. |
url |
string |
HTTP or FTP URL of the package through a server |
username |
string |
Username for download |
Example request
{
"code": 10551382,
"message": "Package download in progress",
"password": "admin_password",
"state": "success",
"url": "http://server/package",
"username": "admin"
}
Response
Status: 202, Accepted
| Name | Type | Description |
|---|---|---|
job |
Example response
{
"job": {
"uuid": "string"
}
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Response
Status: 201, Created
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
10551327 |
Package image with the same name already exists. |
10551357 |
Cannot perform an update when a previous update is still in progress. |
10551359 |
Internal error. Failed to process the package after download completed. Try uploading the file again or contact technical support for assistance. |
10551381 |
Package download failed. |
10551382 |
Package download is still running. |
10551384 |
Package download has not started. |
10551391 |
Internal error. Contact technical support for assistance. |
10551392 |
Internal error. Contact technical support for assistance. |
10551496 |
Firmware file already exists. |
10551797 |
Internal error. Failed to check if file upload is enabled. Contact technical support for assistance. |
10551859 |
Failed to set primary and secondary nodes to store new image. |
10551885 |
Package download failed due to invalid url. |
10551892 |
Package download failed due to an unhealthy node. Restore the node to a healthy state, then retry the operation. |
39387137 |
Invalid URL syntax was provided. Retry with a valid URL. |
39387138 |
Unsupported URL scheme provided. Retry with one of FILE://, FTP://, or HTTPS://. |
Also see the table of common errors in the Response body overview section of this documentation.
Definitions
See Definitions
software_package_download
| Name | Type | Description |
|---|---|---|
code |
integer |
Code returned corresponds to a download message. |
message |
string |
Download progress details. |
password |
string |
Password for download |
state |
string |
Download status of the package. |
url |
string |
HTTP or FTP URL of the package through a server |
username |
string |
Username for download |
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
job_link
| Name | Type | Description |
|---|---|---|
uuid |
string |
The UUID of the asynchronous job that is triggered by a POST, PATCH, or DELETE operation. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |